.title-section {
  background: #e7f6ff;
  padding: 80px 20px;
}

.title-section .title-wrap {
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
}
.title-section .title-wrap h1 {
  color: #000;
  font-size: 58px;
  font-weight: 800;
  line-height: 72px;
}

.search-page-inner-wrap {
  display: flex;
  gap: 60px;
}
.search-page-top-content {
  display: flex;
  justify-content: space-between;
  align-items: start;
  gap: 60px;
}
.search-page-functions {
  display: flex;
  gap: 20px;
  width: 100%;
  max-width: 340px;
  justify-content: flex-end;
  flex-direction: column;
}
.search-page-functions .sort-wrap {
  width: 100%;
  max-width: 210px;
  display: flex;
  padding: 10px 20px;
  border-radius: 200px;
  border: 2px solid #9c9c9c;
  align-items: center;
  gap: 12px;
  position: relative;
}
.search-page-functions .sort-wrap .sort-items-main-wrap .sort-icon {
  display: flex;
  width: 28px;
  height: 30px;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: all 200ms ease-in-out;
}
.search-page-functions .sort-wrap .sort-items-main-wrap .sort-items-wrap {
  position: absolute;
  right: 20px;
  left: 80px;
  top: 47px;
  background: #e7f6ff;
  border-radius: 5px;
  overflow: hidden;
  transform: translateY(4px);
  opacity: 0;
  pointer-events: none;
  transition: 200ms all ease-in-out;
}
.search-page-functions .sort-wrap.sort-active .sort-items-main-wrap .sort-items-wrap {
  transform: translateY(0px);
  opacity: 1;
  pointer-events: all;
}
.search-page-functions .sort-wrap.sort-active .sort-icon {
  rotate: 181deg;
}
.search-page-functions .sort-wrap .sort-items-main-wrap .sort-items-wrap .items-inner-wrap {
  padding: 5px 14px;
}
.search-page-functions .sort-wrap .sort-items-main-wrap .sort-items-wrap .items-inner-wrap:hover {
  background: #c3e9ff;
}
.search-page-functions .sort-wrap .items-inner-wrap a {
  color: #000;
  width: 100%;
  display: block;
}
.search-page-functions .sort-wrap p {
  color: #000;
  font-size: 20px;
  font-weight: 400;
  line-height: 28px;
  margin: 0;
  cursor: pointer;
  width: 100%;
  white-space: nowrap;
}
.post-search-wrap form {
  border-radius: 200px;
  border: 2px solid #9c9c9c;
  position: relative;
  display: flex;
  align-items: center;
  padding: 10px 20px;
  gap: 12px;
}
.post-search-wrap form .icon-wrap {
  display: flex;
}
.post-search-wrap form input {
  outline: unset;
  border: none;
  font-size: 20px;
  font-weight: 400;
  line-height: 28px;
  padding: 0;
  width: 100%;
}
.search-page-content .inner-wrap {
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 60px;
  padding: 60px 20px;
}
.search-page-content .search-page-top-content h2 {
  color: #172d5e;
  font-size: 48px;
  font-weight: 800;
  line-height: 56px;
  margin: 0;
  width: 100%;
  max-width: 800px;
  
}
.article-main-wrap {
  width: 100%;
}
.article-wrap {
  display: flex;
  align-items: stretch;
  border-bottom: solid 1px #c8c8ca;
  padding-bottom: 40px;
  padding-top: 40px;
  gap: 32px;
  width: 100%;
  max-width: 100%!important;
  background: transparent!important;
}
.article-wrap:first-child {
  padding-top: 0;
}
.article-wrap .article-img-wrap {
  width: 100%;
  max-width: 320px;
}
.article-wrap .article-content {
  display: flex;
  flex-direction: column;
  gap: 32px;
  width: 100%;
}
.article-wrap .article-img-wrap a {
  display: block;
  height: 100%;
  border-radius: 12px;
  background-repeat: no-repeat;
  background-size: cover;
  background-color: #e7f6ff;
}
.article-wrap .article-category {
  border-radius: 40px;
  border: 1px solid #00488e;
  padding: 2px 12px;
  display: flex;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}
.article-wrap .article-top-wrap {
  display: flex;
  align-items: center;
  gap: 12px;
  margin-bottom: 12px;
}
.article-wrap p {
  color: #717174;
  font-size: 20px;
  line-height: 28px;
}
.article-wrap .article-top-wrap .date-wrap {
  display: flex;
  align-items: center;
  gap: 6px;
}
.article-wrap .article-top-wrap .date-wrap span {
  color: #717174;
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  letter-spacing: 0.16px;
}
.article-wrap .article-category a {
  color: #00488e;
  font-size: 16px;
  font-weight: 600;
  line-height: 24px;
  letter-spacing: 1.28px;
}
.article-wrap h4 {
  color: #000;
  font-size: 30px;
  font-weight: 700;
  line-height: 40px;
  margin-bottom: 16px;
}
.article-wrap .read-more-btn {
  color: #347196;
  font-size: 20px;
  font-weight: 800;
  line-height: 28px;
  letter-spacing: 0.8px;
  -webkit-text-decoration-line: underline;
          text-decoration-line: underline;
  display: flex;
  align-items: center;
  gap: 12px;
}
.search-page-sidebar {
  display: flex;
  flex-direction: column;
  gap: 32px;
  padding: 32px;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  border-radius: 12px;
  border: 1px solid #9c9c9c;
  width: 100%;
  max-width: 340px;
}
.search-page-sidebar > h4 {
  color: #113c77;
  font-size: 30px;
  font-weight: 700;
  line-height: 40px;
  margin: 0;
}
.search-page-sidebar ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.search-page-sidebar ul h4 {
  color: #141414;
  font-size: 24px;
  font-weight: 700;
  line-height: 32px;
}

.search-page-sidebar ul li a {
  display: flex;
  align-items: flex-start;
  gap: 12px;
  padding: 12px;
}
.search-page-sidebar ul li a svg {
  width: 28px;
  height: 30px;
  min-width: 28px;
}
.search-page-sidebar ul li a:hover {
  background: #e7f6ff;
}

/* Responsive Area */
@media screen and (max-width: 1279px) {
  .title-section .title-wrap h1 {
    font-size: 36px;
    line-height: 44px;
  }
  .search-page-content .search-page-top-content h2 {
    font-size: 28px;
    line-height: 36px;
  }
  .post-search-wrap form input,
  .search-page-functions .sort-wrap p {
    font-size: 18px;
    line-height: 26px;
  }
  .search-page-sidebar > h4 {
    font-size: 22px;
    line-height: 30px;
  }
  .search-page-sidebar ul h4 {
    font-size: 20px;
    line-height: 28px;
  }
  .article-wrap h4 {
    font-size: 22px;
    line-height: 30px;
  }
  .article-wrap .article-category a {
    font-size: 16px;
    line-height: 24px; /* 150% */
    letter-spacing: 1.28px;
  }
  .article-wrap p {
    font-size: 18px;
    line-height: 26px;
  }
  .article-wrap .read-more-btn {
    font-size: 20px;
    line-height: 28px;
    letter-spacing: 0.8px;
  }
}

@media screen and (max-width: 1023px) {
  .search-page-inner-wrap {
    flex-direction: column-reverse;
  }
  .article-wrap {
    max-width: 100%;
  }
  .search-page-sidebar {
    max-width: 100%;
  }
}

@media screen and (max-width: 767px) {
  .title-section,
  .search-page-content .inner-wrap {
    padding: 40px 20px;
  }
  
  .search-page-top-content {
    flex-direction: column;
    gap: 16px;
  }
  .search-page-content .search-page-top-content h2 {
    text-align: center;
  }
  .search-page-functions {
    flex-direction: column;
    gap: 12px;
    width: 100%;
    max-width: 100%;
  }
  .search-page-content .inner-wrap {
    gap: 24px;
  }
  .search-page-functions .sort-wrap {
    justify-content: space-between;
    max-width: 100%;
  }
  .search-page-sidebar {
    gap: 20px;
    padding: 16px 12px;
  }
  .search-page-inner-wrap {
    gap: 40px;
  }
  .article-wrap {
    flex-direction: column;
    gap: 20px;
    padding-bottom: 20px;
    padding-top: 20px;
  }
  .article-wrap .article-img-wrap {
    height: 200px;
    max-width: 100%;
  }
  .article-wrap .article-img-wrap a {
    background-position: center;
  }
}
